// pages/shoplist/shoplist.js
import {
  default as storeApi
} from "../../api/store"
import commentsApi from '../../api/comments'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    shopList: []
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: async function (options) {
    
    
    wx.getSetting({
      success: async (res) => {
        let authSetting = res.authSetting
        if (authSetting['scope.userLocation']) {
          console.log('已授权地理位置')
          let lon = wx.getStorageSync('lon')
          let lat =   wx.getStorageSync('lat')
          let rs = await storeApi.getStoreList(1, 5,`&lon=${lon}&lat=${lat}`);
          this.setData({
            shopList: rs.list,
            
          })
          // 已授权
        } else {
          // 未授权
          console.log('未授权地理位置');
          wx.getLocation({
            type: 'wgs84',
            async success(res) {
              console.log(res)
              const latitude = res.latitude
              const longitude = res.longitude
              wx.setStorageSync('lon', longitude)
              wx.setStorageSync('lat', latitude)
              const rs = await storeApi.getNearStore(latitude, longitude)
              console.log(rs.info);
              self.setData({
                locationFlag: true,
                storeInfo: rs.info
              })
              let shopList = await storeApi.getStoreList(1, 5,`&lon=${longitude}&lat=${latitude}`);
              this.setData({
                shopList: shopList.shopList,
                
              })
            }
          })
        }
      }
    })
  },
 
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})